Query Payment Methods
curl --request GET \
--url https://api.jtl-cloud.com/erp/paymentMethods \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/paymentMethods"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/paymentMethods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Name": "PayPal",
"IsStandard": false,
"IsActive": true
}
]paymentmethod
Query Payment Methods
Query all payment methods
GET
/
paymentMethods
Query Payment Methods
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all payment methods.
Name of the payment method.
Example:
"PayPal"
Indicates if the method is the default payment method. There is only one default method and if a new one is enabled, the previous method is no longer the default one.
Example:
false
Indicates if the payment method is still active.
Example:
true
Was this page helpful?